org.apache.lucene.facet.associations

## Class AssociationsDrillDownStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.facet.index.DrillDownStream
      - - org.apache.lucene.facet.associations.AssociationsDrillDownStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class AssociationsDrillDownStream
      extends DrillDownStream

  A `DrillDownStream` which adds to each drill-down token a payload according to the `CategoryAssociation` defined in the `CategoryAssociationsContainer`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationsDrillDownStream(CategoryAssociationsContainer associations, FacetIndexingParams indexingParams)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addAdditionalAttributes(CategoryPath cp, boolean isParent)`

    - ### Methods inherited from class org.apache.lucene.facet.index.DrillDownStream

      `incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationsDrillDownStream

          public AssociationsDrillDownStream(CategoryAssociationsContainer associations,
                                     FacetIndexingParams indexingParams)

  - ### Method Detail

    - #### addAdditionalAttributes

          protected void addAdditionalAttributes(CategoryPath cp,
                                     boolean isParent)

      Overrides:
        `addAdditionalAttributes` in class `DrillDownStream`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.